import { CollectionConfig } from "payload";

export const Copies: CollectionConfig = {
  slug: 'copies',
  fields: [
    {
      name: 'condition',
      label: 'Condition out of 5',
      type: 'number',
      min: 1,
      max: 5,
    },
    {
      name: 'book',
      type: 'relationship',
      relationTo: 'books',
      hasMany: false,
    },
    {
      name: 'repository',
      type: 'relationship',
      relationTo: 'repositories',
      hasMany: false,
    },
    {
      name: 'notes',
      type: 'richText'
    }
  ]
}
